RDKit: RDKit::AtomPDBResidueInfo Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::AtomPDBResidueInfo Class Reference

Captures atom-level information about peptide residues. More...

`#include <MonomerInfo.h>`

Inheritance diagram for RDKit::AtomPDBResidueInfo:

## Public Member Functions
| AtomPDBResidueInfo ()
| AtomPDBResidueInfo (const AtomPDBResidueInfo &other)=default
| AtomPDBResidueInfo (const std::string &atomName, int serialNumber=0, std::string altLoc="", std::string residueName="", int residueNumber=0, std::string chainId="", std::string insertionCode="", double occupancy=1.0, double tempFactor=0.0, bool isHeteroAtom=false, unsigned int secondaryStructure=0, unsigned int segmentNumber=0)
int | getSerialNumber () const
void | setSerialNumber (int val)
const std::string & | getAltLoc () const
void | setAltLoc (const std::string &val)
const std::string & | getResidueName () const
void | setResidueName (const std::string &val)
int | getResidueNumber () const
void | setResidueNumber (int val)
const std::string & | getChainId () const
void | setChainId (const std::string &val)
const std::string & | getInsertionCode () const
void | setInsertionCode (const std::string &val)
double | getOccupancy () const
void | setOccupancy (double val)
double | getTempFactor () const
void | setTempFactor (double val)
bool | getIsHeteroAtom () const
void | setIsHeteroAtom (bool val)
unsigned int | getSecondaryStructure () const
void | setSecondaryStructure (unsigned int val)
unsigned int | getSegmentNumber () const
void | setSegmentNumber (unsigned int val)
AtomMonomerInfo * | copy () const override
Public Member Functions inherited from RDKit::AtomMonomerInfo
virtual | ~AtomMonomerInfo ()
| AtomMonomerInfo ()=default
| AtomMonomerInfo (AtomMonomerType typ, std::string nm="")
| AtomMonomerInfo (const AtomMonomerInfo &other)=default
const std::string & | getName () const
void | setName (const std::string &nm)
AtomMonomerType | getMonomerType () const
void | setMonomerType (AtomMonomerType typ)

## Additional Inherited Members
Public Types inherited from RDKit::AtomMonomerInfo
enum | AtomMonomerType { UNKNOWN = 0 , PDBRESIDUE , OTHER }

## Detailed Description

Captures atom-level information about peptide residues.

Definition at line 50 of file MonomerInfo.h.

## Constructor & Destructor Documentation

## ◆ AtomPDBResidueInfo() [1/3]

RDKit::AtomPDBResidueInfo::AtomPDBResidueInfo | ( |  | ) |
| inline

Definition at line 52 of file MonomerInfo.h.

References RDKit::AtomMonomerInfo::AtomMonomerInfo(), and RDKit::AtomMonomerInfo::PDBRESIDUE.

Referenced by AtomPDBResidueInfo(), and copy().

## ◆ AtomPDBResidueInfo() [2/3]

RDKit::AtomPDBResidueInfo::AtomPDBResidueInfo | ( | const AtomPDBResidueInfo & | other | ) |
| default

References AtomPDBResidueInfo().

## ◆ AtomPDBResidueInfo() [3/3]

RDKit::AtomPDBResidueInfo::AtomPDBResidueInfo | ( | const std::string & | atomName,
|  | int | serialNumber = 0,
|  | std::string | altLoc = "",
|  | std::string | residueName = "",
|  | int | residueNumber = 0,
|  | std::string | chainId = "",
|  | std::string | insertionCode = "",
|  | double | occupancy = 1.0,
|  | double | tempFactor = 0.0,
|  | bool | isHeteroAtom = false,
|  | unsigned int | secondaryStructure = 0,
|  | unsigned int | segmentNumber = 0 )
| inline

Definition at line 55 of file MonomerInfo.h.

References RDKit::AtomMonomerInfo::AtomMonomerInfo(), and RDKit::AtomMonomerInfo::PDBRESIDUE.

## Member Function Documentation

## ◆ copy()

AtomMonomerInfo * RDKit::AtomPDBResidueInfo::copy | ( |  | ) | const
| inlineoverridevirtual

Reimplemented from RDKit::AtomMonomerInfo.

Definition at line 98 of file MonomerInfo.h.

References RDKit::AtomMonomerInfo::AtomMonomerInfo(), and AtomPDBResidueInfo().

## ◆ getAltLoc()

const std::string & RDKit::AtomPDBResidueInfo::getAltLoc | ( |  | ) | const
| inline

Definition at line 77 of file MonomerInfo.h.

## ◆ getChainId()

const std::string & RDKit::AtomPDBResidueInfo::getChainId | ( |  | ) | const
| inline

Definition at line 83 of file MonomerInfo.h.

## ◆ getInsertionCode()

const std::string & RDKit::AtomPDBResidueInfo::getInsertionCode | ( |  | ) | const
| inline

Definition at line 85 of file MonomerInfo.h.

## ◆ getIsHeteroAtom()

bool RDKit::AtomPDBResidueInfo::getIsHeteroAtom | ( |  | ) | const
| inline

Definition at line 91 of file MonomerInfo.h.

## ◆ getOccupancy()

double RDKit::AtomPDBResidueInfo::getOccupancy | ( |  | ) | const
| inline

Definition at line 87 of file MonomerInfo.h.

## ◆ getResidueName()

const std::string & RDKit::AtomPDBResidueInfo::getResidueName | ( |  | ) | const
| inline

Definition at line 79 of file MonomerInfo.h.

## ◆ getResidueNumber()

int RDKit::AtomPDBResidueInfo::getResidueNumber | ( |  | ) | const
| inline

Definition at line 81 of file MonomerInfo.h.

## ◆ getSecondaryStructure()

unsigned int RDKit::AtomPDBResidueInfo::getSecondaryStructure | ( |  | ) | const
| inline

Definition at line 93 of file MonomerInfo.h.

## ◆ getSegmentNumber()

unsigned int RDKit::AtomPDBResidueInfo::getSegmentNumber | ( |  | ) | const
| inline

Definition at line 95 of file MonomerInfo.h.

## ◆ getSerialNumber()

int RDKit::AtomPDBResidueInfo::getSerialNumber | ( |  | ) | const
| inline

Definition at line 75 of file MonomerInfo.h.

## ◆ getTempFactor()

double RDKit::AtomPDBResidueInfo::getTempFactor | ( |  | ) | const
| inline

Definition at line 89 of file MonomerInfo.h.

## ◆ setAltLoc()

void RDKit::AtomPDBResidueInfo::setAltLoc | ( | const std::string & | val | ) |
| inline

Definition at line 78 of file MonomerInfo.h.

## ◆ setChainId()

void RDKit::AtomPDBResidueInfo::setChainId | ( | const std::string & | val | ) |
| inline

Definition at line 84 of file MonomerInfo.h.

## ◆ setInsertionCode()

void RDKit::AtomPDBResidueInfo::setInsertionCode | ( | const std::string & | val | ) |
| inline

Definition at line 86 of file MonomerInfo.h.

## ◆ setIsHeteroAtom()

void RDKit::AtomPDBResidueInfo::setIsHeteroAtom | ( | bool | val | ) |
| inline

Definition at line 92 of file MonomerInfo.h.

## ◆ setOccupancy()

void RDKit::AtomPDBResidueInfo::setOccupancy | ( | double | val | ) |
| inline

Definition at line 88 of file MonomerInfo.h.

## ◆ setResidueName()

void RDKit::AtomPDBResidueInfo::setResidueName | ( | const std::string & | val | ) |
| inline

Definition at line 80 of file MonomerInfo.h.

## ◆ setResidueNumber()

void RDKit::AtomPDBResidueInfo::setResidueNumber | ( | int | val | ) |
| inline

Definition at line 82 of file MonomerInfo.h.

## ◆ setSecondaryStructure()

void RDKit::AtomPDBResidueInfo::setSecondaryStructure | ( | unsigned int | val | ) |
| inline

Definition at line 94 of file MonomerInfo.h.

## ◆ setSegmentNumber()

void RDKit::AtomPDBResidueInfo::setSegmentNumber | ( | unsigned int | val | ) |
| inline

Definition at line 96 of file MonomerInfo.h.

## ◆ setSerialNumber()

void RDKit::AtomPDBResidueInfo::setSerialNumber | ( | int | val | ) |
| inline

Definition at line 76 of file MonomerInfo.h.

## ◆ setTempFactor()

void RDKit::AtomPDBResidueInfo::setTempFactor | ( | double | val | ) |
| inline

Definition at line 90 of file MonomerInfo.h.

The documentation for this class was generated from the following file:

- MonomerInfo.h